Switchover Resource
Description
This resource is to trigger a switchover for a cluster rWeb between primary and secondary mode.
POST /setup/cluster/switchover
POST Response Values
| Name | Type | Description |
|---|---|---|
| command_resource | JSON String | The relevant command resource for checking the status of this command. |
| command | JSON String | The issued command, "switchover". |
| status | JSON String | The status of the command. When first posted, this will be "request". |
| finished | JSON Boolean | Whether or not the command has finished processing. |
| failed | JSON Boolean | Whether or not the command has failed. |
Example POST Request
POST /setup/cluster/switchover
Example POST Response
{
"command_resource": "/commands/4",
"command": "switchover",
"status": "request",
"finished": false,
"failed": false
}